Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2803213002: Re-enable selectors4 tests from WPT repository (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 2 weeks ago by Manuel Rego
Modified:
5 months, 1 week ago
Reviewers:
kojii, qyearsley
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Re-enable selectors4 tests from WPT repository As agreed on https://chromium-review.googlesource.com/465440 the tests that are considered manual due to the "interact" flag, but that the feature hasn't been implemented yet ":focus-within" are skipped for now. There's one manual test "hover-001-manual.html" that is also skipped in this patch. BUG=706118 Review-Url: https://codereview.chromium.org/2803213002 Cr-Commit-Position: refs/heads/master@{#462982} Committed: https://chromium.googlesource.com/chromium/src/+/333a624229a859b3388e4c6af0f29197709991a2

Patch Set 1 #

Messages

Total messages: 14 (8 generated)
Manuel Rego
One more CL to re-enable some tests. I'm wondering what we should do with manual ...
5 months, 2 weeks ago (2017-04-07 09:06:36 UTC) #2
qyearsley
On 2017/04/07 at 09:06:36, rego wrote: > One more CL to re-enable some tests. > ...
5 months, 2 weeks ago (2017-04-07 17:28:09 UTC) #3
Manuel Rego
On 2017/04/07 17:28:09, qyearsley wrote: > So, in the past they weren't imported by default, ...
5 months, 2 weeks ago (2017-04-07 20:02:08 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2803213002/1
5 months, 2 weeks ago (2017-04-07 20:03:45 UTC) #10
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/333a624229a859b3388e4c6af0f29197709991a2
5 months, 2 weeks ago (2017-04-07 20:18:57 UTC) #13
Manuel Rego
5 months, 1 week ago (2017-04-10 08:51:53 UTC) #14
Message was sent while issue was closed.
On 2017/04/07 20:02:08, Manuel Rego wrote:
> On 2017/04/07 17:28:09, qyearsley wrote:
> > So, in the past they weren't imported by default, but it turns out that some
> > "manual" tests can also be ref tests (they can also have a <link
> > rel="match"...>) or testharness tests (they can also import testharness.js
we
> > inject JS into some manual pointerevents tests to automate them). So, the
> > strategy for now is to explicitly skip them (like you have done here); see
> > http://crbug.com/708241.
> 
> Ok, let's land this, but in this case the test has "interact" flag
> and not reference nor a testharness test:
>
https://cs.chromium.org/chromium/src/third_party/WebKit/LayoutTests/external/...
> So it's a different thing, I'll review the bug next week.

Ok, reading the bug properly now, this case is already considered. Thanks.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b